%define		_class		Console
%define		_subclass	Table
%define		upstream_name	%{_class}_%{_subclass}
Name:		php-pear-%{upstream_name}
Version:	1.2.0
Release:	2
Summary:	Makes it easy to build console style tables
License:	PHP License
Group:		Development/PHP
URL:		http://pear.php.net/package/Console_Table/
Source0:	http://download.pear.php.net/package/Console_Table-%{version}.tgz
Requires(post): php-pear
Requires(preun): php-pear
Requires:	php-pear
BuildArch:	noarch
BuildRequires:	php-pear

%description
Provides methods such as addRow(), insertRow(), addCol() etc to build
Console tables. Can be with or without headers, and has various
configurable options.

%prep
%setup -q -c
mv package.xml %{upstream_name}-%{version}/%{upstream_name}.xml

%install

cd %{upstream_name}-%{version}
pear install --nodeps --packagingroot %{buildroot} %{upstream_name}.xml
rm -rf %{buildroot}%{_datadir}/pear/.??*

rm -rf %{buildroot}%{_datadir}/pear/docs
rm -rf %{buildroot}%{_datadir}/pear/tests

install -d %{buildroot}%{_datadir}/pear/packages
install -m 644 %{upstream_name}.xml %{buildroot}%{_datadir}/pear/packages

%clean



%files
%{_datadir}/pear/%{_class}
%{_datadir}/pear/packages/%{upstream_name}.xml



%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 1.2.0-2
+ Revision: 95f3fcd
- MassBuild#440: Increase release tag


